/*
 *
 * Perforce/JBuilder Opentool
 * Copyright (C) 2001 David Freels
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation;
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package com.dafreels.opentools.actions.ui;

import javax.swing.table.*;
import java.util.Vector;


/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      DF Systems
 * @author David Freels
 * @version 1.0
 */

public class FileModel extends AbstractTableModel
{
	private Vector _rows;
	private Vector _columnNames;

	public FileModel()
	{
	}

	public int getColumnCount()
	{
		if(_columnNames == null) return 2;
		return ((Vector)_rows.elementAt(0)).size();
	}

	public Object getValueAt(int row, int column)
	{
		return ((Vector)_rows.elementAt(row)).elementAt(column);
	}

	public boolean isCellEditable(int row, int column)
	{
		if(column == 0) return true;
		return false;
	}

	public int getRowCount()
	{
		if(_rows == null) return 5;
		return _rows.size();
	}

	public String getColumnName(int column)
	{
		if(_columnNames == null) return "";
		return (String)_columnNames.elementAt(column);
	}

	public Class getColumnClass(int column)
	{
		return ((Vector)_rows.elementAt(0)).elementAt(column).getClass();
	}

	public Vector getDataVector()
	{
		return _rows;
	}

	public void setDataVector(Vector rows, Vector columns)
	{
		System.out.println("setDataVector: got "+rows.size()+" rows");
		_rows = rows;
		_columnNames = columns;
		fireTableDataChanged();
	}

	public void setValueAt(Object value, int row, int column)
	{
		((Vector)_rows.elementAt(row)).setElementAt(value, column);
		fireTableCellUpdated(row, column);
	}
}